Hammer product set-sync-plan provides both --sync_plan_id and --sync-plan-id options
08/13/2014 03:36 PM - dustin tsang

Status: Closed
Priority: Normal
Assignee: dustin tsang
Category: Hammer
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1111310 Red Hat JIRA:
Pull request: https://github.com/Katello/hammer-cli-kat
ello/pull/’220
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1111310

Description of problem:

hammer provides both --sync_plan_id and --sync-plan-id options when running 'hammer product set-sync-plan’. Only one of the two
should be provided. Both currently work, and will allow the end user to set a sync plan.

Version-Release number of selected component (if applicable):
rubygem-hammer_cli-0.1.1-3.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.1-8.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch
rubygem-hammer_cli_katello-0.0.4-5.el6sat.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install Sat6 beta
2. Invoke hammer as such

1. hammer product set-sync-plan --help
Usage:
hammer product set-sync-plan [OPTIONS]

Options:

--gpg-key GPG_KEY_NAME

--gpg-key-id GPG_KEY_ID

--id ID product numeric identifier

--name NAME Name to search by
--new-name NEW_NAME

--organization ORGANIZATION_NAME
--organization-id ORGANIZATION_ID
--organization-label ORGANIZATION_LABEL
--sync-plan SYNC_PLAN_NAME

--sync-plan-id SYNC_PLAN_ID Plan numeric identifier
--sync_plan_id SYNC_PLAN_ID plan numeric identifier
-h, --help print help

Or by either of
hammer -u admin product set-sync-plan --sync-plan-id 1 --organization ACME_Corporation --id 2

or
hammer -u admin product set-sync-plan --sync_plan_id 1 --organization ACME_Corporation --id 2

Associated revisions

Revision 50f96bd5 - 08/18/2014 12:04 PM - dustin tsang
https://bugzilla.redhat.com/show_bug.cgi?id=1111310

Fixes #7076 - product sync-plan-id option twice
This fixes an issue where the sync-plan-id option is displayed twice in

the helpful texts for the product set-sync-plan, remove-sync-plan
commands.

Revision f65bbc96 - 08/18/2014 01:45 PM - dustin tsang

Merge pull request #220 from dustint-rh/product_sync_plan_id_twice

Fixes #7076 - product sync-plan-id option twice

History

#1 - 08/13/2014 04:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/hammer-cli-katello/pull/220 added
- Pull request deleted ()

#2 - 08/14/2014 10:08 AM - Eric Helms
- Triaged changed from No to Yes

#3 - 08/18/2014 08:33 AM - Eric Helms

- Target version changed from 54 to 55

#4 - 08/18/2014 02:01 PM - dustin tsang
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|50f96bd577cfc5b2a15f01745431ecc23b0d7039.

#5 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13
